<section class="work-calender-container">
    <div class="header-label">
        <span class="hr-image">
            <i class="fa fa-briefcase"></i>
        </span>
        <span class="admin-name">Work Calender Policies</span>
    </div>
    <mat-card class="calender-form-container">
        <form [formGroup]="workCalenderFormGroup" #calenderForm="ngForm">
            <div class="selection-list">
                <ul>
                    <li *ngFor="let selection of selectionArr.controls; let i = index" [formGroup]="selection">
                      <span class="s-no">{{i+1}}</span>
                      <mat-form-field class="sub-list" appearance="standard">
                        <mat-label>Shift Name</mat-label>
                        <input matInput formControlName="shiftName" placeholder="Shift Name" (blur)="validateName(i)" required autocomplete="off" />
                        <mat-error *ngIf="selection.value.error">
                            Shift Name should be Unique
                        </mat-error>
                      </mat-form-field>
                      <mat-form-field class="sub-list">
                        <mat-label>Start Time</mat-label>
                        <div class="toggle-example d-flex">
                            <input [ngxTimepicker]="toggleTimepicker" matInput [disableClick]="true" formControlName="startTime" [format]="24" required readonly>
                            <ngx-material-timepicker-toggle [for]="toggleTimepicker"></ngx-material-timepicker-toggle>
                            <ngx-material-timepicker #toggleTimepicker></ngx-material-timepicker>
                        </div>
                    </mat-form-field>
                    <mat-form-field class="sub-list">
                        <mat-label>Finish Time</mat-label>
                        <div class="toggle-example d-flex">
                            <input [ngxTimepicker]="toggleTimepicker1" matInput [disableClick]="true" formControlName="finishTime" [format]="24" required readonly>
                            <ngx-material-timepicker-toggle [for]="toggleTimepicker1"></ngx-material-timepicker-toggle>
                            <ngx-material-timepicker #toggleTimepicker1></ngx-material-timepicker>
                        </div>
                    </mat-form-field>
                    <mat-form-field class="sub-list" appearance="standard">
                        <mat-label>Shift Days</mat-label>
                        <mat-select  name="shiftDays" formControlName="shiftDays" multiple>
                          <mat-option *ngFor="let day of calenderDays" [value]="day">
                            {{day}}
                          </mat-option>
                        </mat-select>
                      </mat-form-field>
                      <div class="remove-action">
                        <button type="reset" mat-mini-fab class="add-remove-item remove" (click)="removeSelection(i)">-</button>
                      </div>
                    </li>
                </ul>
            </div>
            <div class="add-action">
                <span><button mat-mini-fab (click)="addSelection()">+</button></span> <span class="text-btn">Add
                  Transaction</span>
              </div>
              <div class="button-grp">
                <button class="button button-primary" mat-button [disabled]="!workCalenderFormGroup.valid || selectionArr.controls.length === 0" (click)="onSubmitForm()">Submit</button>
              </div>
        </form>
    </mat-card>
</section>
<mat-card class="table-container">
  <h6>Work Calender History</h6>
  <div class="mat-elevation-z0">
    <table mat-table [dataSource]="dataSource">

      <!-- Payroll Year Column -->
      <ng-container matColumnDef="pk">
        <th mat-header-cell *matHeaderCellDef> Entry ID </th>
        <td mat-cell *matCellDef="let element"> {{element.pk}} </td>
      </ng-container>

      <!-- Process Name Column -->
      <ng-container matColumnDef="shiftName">
        <th mat-header-cell *matHeaderCellDef> Shift Name </th>
        <td mat-cell *matCellDef="let element"> {{element.shiftName}} </td>
      </ng-container>

      <!-- Status Column -->
      <ng-container matColumnDef="startTime">
        <th mat-header-cell *matHeaderCellDef> Start Time </th>
        <td mat-cell *matCellDef="let element"> {{element.startTime}} </td>
      </ng-container>

      <!-- Status Column -->
      <ng-container matColumnDef="finishTime">
        <th mat-header-cell *matHeaderCellDef> Finish Time </th>
        <td mat-cell *matCellDef="let element"> {{element.finishTime}} </td>
      </ng-container>

      <!-- Status Column -->
      <ng-container matColumnDef="shiftDays">
        <th mat-header-cell *matHeaderCellDef> Shift Days</th>
        <td mat-cell *matCellDef="let element"> {{element.shiftDays}} </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>

    <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
  </div>
</mat-card>